#include <algorithm>
#include <cmath>
#include <cstdio>
#include <vector>

int main() {
    int caseCnt;
    long n;

    scanf("%d", &caseCnt);
    for (int caseNr = 0; caseNr < caseCnt; ++caseNr) {
        scanf("%ld", &n);
        std::vector<long> divs, large_divs;
        for (long div = 1; div * div <= n; ++div) {
            if (n % div == 0) {
                divs.push_back(div);
                large_divs.push_back(n / div);
            }
        }
        if (divs.back() == large_divs.back())
            large_divs.pop_back();
        std::reverse(large_divs.begin(), large_divs.end());
        divs.insert(divs.end(), large_divs.begin(), large_divs.end());
        long s = 0;
        bool failed = false;
        for (auto d : divs) {
            if (s < d - 1) {
                failed = true;
                break;
            }
            s += d;
        }
        printf("%s\n", failed ? "No" : "Yes");
    }
    return 0;
}